apache_utils Cookbook
=====================

This cookbook includes apache utilities setup recipes.

Requirements
------------

#### packages
- `commons` - local cookbook.

Attributes
----------

#### apache_utils::default
|Key|Type|Description (with examples)|Default|
|:--|:--|:--|:--|
|`['apache_utils']['mirror']['user']`|String|mirroring user.|`'apache-mirror'`|
|`['apache_utils']['mirror']['cron_period']`|String|cron period expression.|`'#0 2	* * *'` (inactive)|
|`['apache_utils']['mirror']['base_path']`|String|mirroring base path.|`'/var/spool/apache-mirror'`|
|`['apache_utils']['mirror']['rsync_sources']`|Array|rsyncing sources.|refer to attributes/default.rb|

Usage
-----
#### apache_utils::mirror

Apache archive mirror site setup recipe.

```json
{
  "name":"my_node",
  "run_list": [
    "recipe[apache_utils::mirror]"
  ]
}
```

License and Authors
-------------------
- Author:: whitestar at osdn.jp

```text
Copyright 2013-2015, whitestar

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
